# GradleTask

interface GradleTask : Task

Represents a task which is executable by Gradle.

#### Since

1.0-milestone-5

## Functions

getBuildTreePath
Link copied to clipboard
abstract fun getBuildTreePath(): String
getDescription
Link copied to clipboard
abstract fun getDescription(): @Nullable String
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getGroup
Link copied to clipboard
abstract fun getGroup(): @Nullable String
getName
Link copied to clipboard
abstract fun getName(): String
getPath
Link copied to clipboard
abstract fun getPath(): String
getProject
Link copied to clipboard
abstract fun getProject(): GradleProject
Returns the Gradle project this task is defined in.
getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
isPublic
Link copied to clipboard
abstract fun isPublic(): Boolean